apiVersion: apps/v1
kind: Deployment
metadata:
  name: crashloop-example
  labels:
    app: crashlooplearning
spec:
  replicas: 1
  selector:
    matchLabels:
      app: crashlooplearning
  template:
    metadata:
      labels:
        app: crashlooplearning
    spec:
      containers:
      - name: crashlooplearning
        image: abhishekf5/crashlooptest:v1
        ports:
        - containerPort: 8000


# LINK :- https://github.com/iam-veeramalla/kubernetes-troubleshooting-zero-to-hero/blob/main/02-CrashLoopBackOff/01-wrong-cmd-crashloop.yml
